package com.cn.esermis.dpld.model;

import lombok.Data;

import java.util.Date;


@Data
public class DataAllVo {

    /**
     * 排污口名称
     */
    private String outletName;
    /**
     * 排污口编号
     */
    private String outletCode;
    /**
     * 排污口类型（1 废气，2废水）
     */
    private Integer type;
    /**
     *建设投用日期
     */
    private Date useData;
    /**
     * 是否完成验收备案(0否 1是)
     */
    private Integer completeFilings;

    /**
     * 验收备案时间
     */
    private Date completeFilingsTime;

    /**
     * 数采仪品牌
     */
    private String collectionName;
    /**
     * 数采仪品牌
     */
    private String collectionBrand;
    /**
     * 数采仪型号
     */
    private String collectionModel;

    /**
     * 数采仪MN号
     */
    private String mnCode;
    /**
     * 数采仪IP
     */
    private String collectionIp;
    /**
     * 单位编码
     */
    private String companyCode;
    /**
     * 单位编码
     */
    private String departmentCode;
    /**
     * 是否有排气筒 1是 0否
     */
    private Integer haveExhaust;
    /**
     * 排气筒温度
     */
    private String exhaustTemperature;
    /**
     * 排气筒高度
     */
    private String exhaustHeight;
    /**
     * 排气筒直径
     */
    private String exhaustDiameter;
    /**
     * 行业类别
     */
    private String industryCategory;
    /**
     * 排污许可证编号
     */
    private String licenseNumber;
    /**
     *排污许可证有效期
     */
    private String licenseData;

    /**
     * 分析仪品牌
     */
    private String brand;
    /**
     * 分析仪型号
     */
    private String model;
    /**
     * 分析仪名称
     */
    private String name;
    /**
     *监测污染物因子及限值（小时均值、月排放总量、年排放总量）
     */
    private String factorInfor;
    /**
     * 量程
     */
    private String range;

    /**
     * 数采仪id
     */
    private String dataAcquisitionInstrumentId;

    /**
     * 基准氧含量(%)
     */
    private String referenceOxygenContent;
    /**
     * 速度场系数
     */
    private String velocityFieldCoefficient;

    /**
     * 皮托管系数
     */
    private String pitotTubeCoefficient;
    /**
     * k值
     */
    private String kvalue;
    /**
     * 烟道（监测口）截面积 M3
     */
    private String flueArea;
    /**
     * 稀释比
     */
    private String dilutionRatio;
    /**
     * 分析仪类型（1气体分析仪，2污水分析仪）
     */
    private Integer fxytype;

    /**
     * 分析仪主键ID
     */
    private String analyticalInstrumentId;
    /**
     * 检测因子编码
     */
    private String factor;
    /**
     * 小时均值
     */
    private String hoursAvg;
    /**
     * 小时均值单位
     */
    private String hoursUnit;
    /**
     * 月排放量
     */
    private String monthlyEmissions;

    /**
     * 月排放量单位
     */
    private String monthlyEmissionsUnit;

    /**
     * 年排放量
     */
    private String yearEmissions;
    /**
     * 年排放量单位
     */
    private String yearEmissionsUnit;

    /**
     * 量程
     */
    private String rangeStr;
    /**
     * 量程单位
     */
    private String rangeUnit;
    /**
     * 量程单位
     */
    private String factorName;

}
